/* ##### STYLES FOR MODALS ###### */

@import "../variables";

.modal-container {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background: #46464669;
	z-index: 99999;

	.modal {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		max-width: 90vw;
		max-height: 90vh;
		width: 900px;
		background: white;
		box-shadow: $drop_shadow;

		.modal-header {
			position: relative;
			padding: 25px;
			box-shadow: $drop_shadow_down;

			.modal-title {
				margin: 0;
			}

			.close-modal {
				display: block;
				width: 15px;
				height: 15px;
				position: absolute;
				top: 50%;
				right: 25px;
				transform: translateY(-50%);

				&:hover {
					cursor: pointer;
				}
			} // close modal
		} // modal header

		.modal-body {
			position: relative;
			padding: 25px;
			max-height: 50vh;
			overflow-y: auto;
		} // modal body

		.modal-footer {
			position: relative;
			padding: 25px;
			border-top: 1px solid #e6e6e6;

			.btn {
				margin-top: 0;
				margin-bottom: 0;
				margin-left: 20px;
			}
		} // modal body
	} // modal
} // modal container

/* ##### STYLES FOR INFO MODAL ###### */
#info-modal {
	.modal-body p {
		margin: 0;
		word-break: break-all;
	}
} // info-modal
